Summary: An X Input Method Server for Chinese.
Name: xcin
Version: 2.5.3.pre3
Release: 24
License: GPL
Group: User Interface/X
Source0: ftp://xcin.linux.org.tw/pub/xcin/xcin/%{name}-%{version}.tar.gz
Source2: xcin.xpm
Source3: xcin.wrap
Source4: xcinrc.UTF-8
Source5: xinput.d-%{name}
Patch0: xcin-2.5.3-mkuserdir.patch
Patch1:  xcin-2.5.3-no_rpath.patch
BuildRequires: libtabe >= 0.2.4a
Requires: libtabe >= 0.2.4a
Requires(post,preun): /usr/sbin/alternatives
BuildPrereq: db4-devel,libtabe-devel
Buildroot: %{_tmppath}/%{name}-buildroot

%description
An X Input Method Server for Chinese.

%prep

rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}
%patch0 -p1 -b .mkuserdir
%patch1 -p1 -b .no_rpath

find . -name CVS | xargs rm -rf

(cd po; \
OLD_PO_FILE_INPUT=yes msgmerge xcin-zh_TW.po xcin.pot > new.po; \
mv new.po xcin-zh_TW.po; \
)


%build
cp /usr/share/libtool/config.sub $RPM_BUILD_DIR/%{name}/script/
cp /usr/share/libtool/config.guess $RPM_BUILD_DIR/%{name}/script/
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr/X11R6 --libdir=/usr/X11R6/%{_lib} \
        --with-xcin-dir=/usr/X11R6/%{_lib}/X11/xcin \
	--with-xcin-rcdir=/etc/chinese/xcin \
	--with-localedir=/usr/share/locale \
	--with-extra-lib=/usr/%{_lib}

perl -pi -e 's|hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=\"-L\\\$libdir\"|g;' libtool

make
( cd po; msgfmt -o xcin.mo xcin-zh_TW.po )

%install

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/X11/xcin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/etc/chinese/xcin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/X11/xcin/tab
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man

export program_prefix=$RPM_BUILD_ROOT
export xcin_rcp=$RPM_BUILD_ROOT/etc/chinese/xcin
make -e install

mkdir -p $RPM_BUILD_ROOT/usr/share/icons/
mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps/Utilities/
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/zh_TW/LC_MESSAGES/

install -m 644 $RPM_SOURCE_DIR/xcin.xpm \
		$RPM_BUILD_ROOT/usr/share/icons/xcin.xpm
install -m 644 po/xcin.mo $RPM_BUILD_ROOT/usr/share/locale/zh_TW/LC_MESSAGES/xcin.mo
install -m 644 src/lib/.libs/libxcin.so.0.0.0 $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/
install -D -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/chinese/xcin/xcinrc
install -D -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinput.d/%{name}

# remove unpackaged files from the buildroot
rm -rf $RPM_BUILD_ROOT/usr/X11R6/man
rm -f $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/{libxcin.a,libxcin.la}
rm -rf $RPM_BUILD_ROOT/usr/X11R6/share

%post
/sbin/ldconfig
alternatives --install %{_sysconfdir}/X11/xinit/xinput.d/zh_TW xinput-zh_TW %{_sysconfdir}/X11/xinit/xinput.d/%{name} 30

%preun
if [ "$1" = 0 ]; then
   alternatives --remove xinput-zh_TW %{_sysconfdir}/X11/xinit/xinput.d/%{name}
fi


%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/* 
%dir %{_sysconfdir}/chinese
%dir %{_sysconfdir}/chinese/xcin
%config %{_sysconfdir}/chinese/xcin/xcinrc
/usr/X11R6/bin/*
/usr/X11R6/%{_lib}/X11/xcin/
/usr/X11R6/%{_lib}/*
/usr/share/icons/xcin.xpm
%lang(zh_TW) /usr/share/locale/zh_TW/LC_MESSAGES/xcin.mo
%{_sysconfdir}/X11/xinit/xinput.d

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 01 2004 Leon Ho <llch@redhat.com>
- modify post script

* Wed Jun 30 2004 Leon Ho <llch@redhat.com>
- add xinput.d script
- require alternatives for %%post and %%preun
- install/uninstall xinput.d script as xinput-ja_JP alternative

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Mar 08 2004 Leon Ho <llch@redhat.com>
- update for fc1

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jan 28 2004 Leon Ho <llch@redhat.com> 2.5.3.pre3-20
- fixed the libraries linking
- fixed the user defined database saved in the current directory

* Thu Jan 22 2004 Leon Ho <llch@redhat.com> 2.5.3.pre3-19
- uses the merged utf-8 patches
- overthespot patches from cvs

* Tue Dec  2 2003 Thomas Woerner <twoerner@redhat.com> 2.5.3.pre3-18
- removed rpath
- fixed libdir problem on 64 bit architectures

* Thu Oct 23 2003 Leon Ho <llch@redhat.com> 2.5.3.pre3-17
- fixes for utf-8

* Wed Sep 24 2003 Leon Ho <llch@redhat.com>
- rebuilt

* Fri Aug  8 2003 Elliot Lee <sopwith@redhat.com>
- Fix libtool

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 30 2003 Elliot Lee <sopwith@redhat.com> 2.5.3.pre3-12
- Always cp config.guess/config.sub

* Tue Feb 04 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add symlink to shared lib

* Fri Jan 31 2003 Leon Ho <llch@redhat.com> 2.5.3.pre3-11
- rebuild

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Dec 09 2002 Leon Ho <llch@redhat.com> 2.5.3.pre3-10
- fix for the cantonese input setting in config

* Thu Dec 05 2002 Leon Ho <llch@redhat.com> 2.5.3.pre3-9
- check pointers to prevent xcin crash when xcin terminate
- add memory leak patch from James Su
- add ez input method table
- toggle off BEEP_DUPCHAR for some modules.

* Wed Nov 27 2002 Tim Powers <timp@redhat.com> 2.5.3.pre3-8
- rebuild on all arches
- remove unpackaged files from the buildroot
- truly lib64'ize it

* Tue Sep 24 2002 Leon Ho <llch@redhat.com>
- use latest libtool's config.{sub,guess} if x86_64

* Mon Sep 02 2002 Leon Ho <llch@redhat.com>
- some interfaces fix for new desktops

* Tue Aug 06 2002 Leon Ho <llch@redhat.com>
- rebuild with various changes

* Thu Jul 25 2002 Tim Powers <timp@redhat.com>
- rebuild against new libtabe

* Mon Jul 22 2002 Leon Ho <llch@redhat.com>
- own /etc/chinese

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 13 2002 Leon Ho <llch@redhat.com>
- 2.5.3-pre3

* Mon May 28 2002 Leon Ho <llch@redhat.com>
- rebuild for new toolchains

* Tue Mar 26 2002 Nalin Dahyabhai <nalin@redhat.com>
- rebuild

* Mon Mar 25 2002 Leon Ho <llch@redhat.com>
- take out CVS internal files from doc dir

* Wed Feb 27 2002 Leon Ho <llch@redhat.com>
- rebuild with new tree

* Thu Jan 30 2002 Leon Ho <llch@redhat.com>
- db4
- rebuild with new tools

* Fri Dec 07 2001 Leon Ho <llch@redhat.com>
- update to 2.5.3.pre2 latest from cvs
- update xinitrc.LINUX

* Tue Nov 27 2001 Leon Ho <llch@redhat.com>
- build against 7.2-tcsc
- update to 2.5.3.pre2 

* Tue Oct 29 2001 Chung-Yen Chang <candyz@linux.org.tw>
- update to 2.5.3.pre1

* Thu Aug  2 2001 Yukihiro Nakai <ynakai@redhat.com>
- Remove wmconfig file. (#50110)

* Mon Jul 30 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add (noreplace) to %%config (#50110)

* Fri Jul 27 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add %%lang (#50110)
- Add %%config for xcin.wm (#50110)

* Tue Jul 17 2001 Yukihiro Nakai <ynakai@redhat.com>
- Delete .desktop (#48780)
- Add db2-devel to BuildPrereq. (#48918)

* Wed Jul 11 2001 Jonathan Blandford <jrb@redhat.com>
- moved .desktop file from 'Chinese' to 'Utilities'

* Sun Jul  8 2001 Tim Powers <timp@redhat.com>
- don't have sgid root dirs

* Mon Jun 18 2001 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild against Red Hat 7.2
- Add ia64 support.

* Tue Dec 05 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- Rebuild for Red Hat 7.0
- Add BuildRequires Requires

* Mon Oct 30 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- update to 2.5.2.1

* Mon Oct 16 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- update to 2.5.2

* Tue Oct 10 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- update to 2.5.2-pre6.diff1

* Sun Oct 08 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- update to 2.5.2-pre6

* Mon Sep 04 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- fix missing icon in xcin.desktop and xcin.wm
- apply xcin-2.5.2.pre5.diff3

* Fri Aug 25 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- update to 2.5.2-pre5

* Sun Apr 23 2000 Andrew Lee <andrew@cle.linux.org.tw>
- change xcin directory to /usr/X11R6/lib/X11/xcin/
- path fix

* Fri Apr 21 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update 2.5.2-pre3
- set OverTheSpot enable default

* Tue Feb 29 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- update 2.5.2-pre2

* Fri Feb 18 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update 2.5.2-pre1

* Thu Feb 10 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- remove kdelnk, modify xcin.desktop

* Tue Jan 25 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add bimsphone module patch

* Mon Jan 24 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update xcin-2.5-20000124
- add non-autoselect bimsphone 
- add phonegb2

* Thu Jan 6 2000 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for yami

* Mon Jan  3 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update xcin-2.5-20000103

* Mon Dec 13 1999 Andrew Lee <andrew@cle.linux.org.tw>
- Patch a bug (gui.c)

* Mon Nov 29 1999 Andrew Lee <Andrew@nssh.tpc.edu.tw>
- update xcin-2.5-19991128

* Thu Nov 25 1999 Andrew Lee <Andrew@nssh.tpc.edu.tw>
- update xcin-2.5-19991109
- fix cin2tab rcfile bug

* Mon Nov 22 1999 Andrew Lee <Andrew@nssh.tpc.edu.tw>
- rebuild for mandrake
- patch cin/Makefile path

* Thu Aug 26 1999 Cheng Yuan-Cheng <platin@linux.org.tw>
- for xcin-2.5.1
- menu entry for GNOME and KDE were added...

* Sat Jun 19 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- for xcin-2.5.0-pre3

* Sun May  2 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- frist build xcin-2.5

